%global momorel 3

Summary: Bluetooth utilities 
Name: bluez-utils
Version: 2.21
Release: %{momorel}m
License: GPL
Group: Applications/System
Source: http://bluez.sourceforge.net/download/%{name}-%{version}.tar.gz
NoSource: 0
Source1: bluetooth.init
Source2: pand.init
Source3: dund.init
Source4: hidd.init
Source6: pand.conf
Source7: dund.conf
Source8: hidd.conf
Source9: bluetooth.conf
Patch2: bluez-utils-2.3-conf.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.bluez.org/
BuildRequires: bluez-libs-devel >= %{version}
BuildRequires: flex
BuildRequires: dbus-devel >= 0.61
ExcludeArch: s390 s390x
Obsoletes: bluez-pan
Requires: initscripts, bluez-libs >= %{version}
PreReq: chkconfig

%description
Bluetooth utilities (bluez-utils):
	- hcitool
	- hciattach
	- hciconfig
	- hcid
	- l2ping
	- start scripts (Red Hat)
	- pcmcia configuration files

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%package cups
Summary: CUPS printer backend for Bluetooth printers
Group: System Environment/Daemons
Requires: bluez-libs >= %{version}
Requires: cups

%description cups
This package contains the CUPS backend 

%prep
rm -rf %{buildroot}

%setup -q
%patch2 -p1

%build
aclocal
autoconf
%configure --with-bluez-libs=%{_libdir} --enable-dbus --enable-cups --enable-hid2hci --enable-pcmcia --enable-pie --enable-debug
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/etc/default/bluetooth %{buildroot}/etc/init.d/bluetooth
for a in bluetooth dund hidd pand ; do 
	install -D -m0755 $RPM_SOURCE_DIR/$a.init %{buildroot}%{_sysconfdir}/rc.d/init.d/$a
	install -D -m0644 $RPM_SOURCE_DIR/$a.conf %{buildroot}%{_sysconfdir}/sysconfig/$a
done
install -D -m0755 cups/bluetooth ${RPM_BUILD_ROOT}%{_libdir}/cups/backend/bluetooth


%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add bluetooth
if [ "$1" = "1" ]; then
/sbin/service bluetooth condrestart
fi

%preun
/sbin/service bluetooth stop > /dev/null 2>&1 ||:
if [ "$1" = "0" ]; then
/sbin/chkconfig --del bluetooth
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
/etc/rc.d/init.d/*
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*
%dir %{_sysconfdir}/bluetooth/
%config(noreplace) %{_sysconfdir}/bluetooth/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
%config %{_sysconfdir}/pcmcia/bluetooth.conf
%config %{_sysconfdir}/pcmcia/bluetooth

%files cups
%defattr(-, root, root)
%{_libdir}/cups/backend/bluetooth

%changelog
* Tue May  2 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.21-3m)
- rebuild against dbus-0.61

* Wed Jan  4 2006 Kazuhiko <kazuhiko@fdiary.net>
- (2.21-2m)
- rebuild against dbus-0.60

* Sun Oct 30 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.21-1m)
- rebuild against dbus-0.50

* Mon Feb 28 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.14-1m)
- import from FC

* Thu Jan 20 2005 David Woodhouse <dwmw2@redhat.com> 2.14-1
- Update to bluez-utils 2.14

* Wed Jan 12 2005 David Woodhouse <dwmw2@redhat.com> 2.13-1
- Update to bluez-utils 2.13

* Tue Dec 07 2004 Florian La Roche <laroche@redhat.com>
- add prereq for service/chkconfig

* Wed Dec 01 2004 Phil Knirsch <pknirsch@redhat.com> 2.10-3
- Minor dependancy fix (missing initscripts for post stuff)
- Switch Copyright to License

* Mon Aug 16 2004 David Woodhouse <dwmw2@redhat.com> 2.10-2
- Rebuild against new bluez-libs with nicer unaligned access macros

* Sat Aug 14 2004 David Woodhouse <dwmw2@redhat.com> 2.10-1
- Update to bluez-utils 2.10

* Fri Aug 13 2004 David Woodhouse <dwmw2@redhat.com> 2.9-2
- Merge PIE patch from upstream
- Don't enable auth and encrypt by default.

* Tue Aug 03 2004 David Woodhouse <dwmw2@redhat.com> 2.9-1
- Update to bluez-utils 2.9

* Tue Jul 20 2004 David Woodhouse <dwmw2@redhat.com> 2.8-1
- Update to bluez-utils 2.8

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Jun 06 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- add the necessary defattr for the cups sub-rpm

* Wed May 19 2004 David Woodhouse <dwmw2@redhat.com> 2.7-3
- Include bluetooth.conf in sources.
- Make new bluez-utils-cups package for CUPS backend.

* Wed May 12 2004 David Woodhouse <dwmw2@redhat.com> 2.7-2
- Build PIE

* Tue May 11 2004 David Woodhouse <dwmw2@redhat.com> 2.7-1
- Update to bluez-utils 2.7

* Mon Mar 15 2004 David Woodhouse <dwmw2@redhat.com> 2.4-3
- Update to dbus-0.20 compatible code from bluez-utils CVS

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 09 2004 Karsten Hopp <karsten@redhat.de> 2.4-1 
- update to 2.4
- new -build patch
- new -hciattach-initspeed patch
- new -pinwait patch

* Mon Feb 09 2004 Karsten Hopp <karsten@redhat.de> 2.3-15
- fix updates. Last command run at update was  
  /sbin/chkconfig --del bluetooth (Dag Wieers)

* Wed Oct 22 2003 Karsten Hopp <karsten@redhat.de> 2.3-14
- add status to initscript (#106265)

* Tue Sep 09 2003 David Woodhouse <dwmw2@redhat.com> 2.3-13
- Make config files noreplace to fix #104074

* Fri Sep 05 2003 David Woodhouse <dwmw2@redhat.com> 2.3-12
- Updated dbus patch to fix conf file parser.

* Sat Aug 30 2003 David Woodhouse <dwmw2@redhat.com> 2.3-11
- Ignore SIGCHLD.

* Sat Aug 30 2003 David Woodhouse <dwmw2@redhat.com> 2.3-10
- Don't ignore SIGCHLD.

* Tue Aug 26 2003 David Woodhouse <dwmw2@redhat.com> 2.3-9 
- Init script enabled by default

* Fri Jun 20 2003 David Woodhouse <dwmw2@redhat.com> 2.3-8
- Use aclocal-1.4 not aclocal

* Fri Jun 20 2003 David Woodhouse <dwmw2@redhat.com> 2.3-7
- Add Phil Blundell's dbus patch
- chkconfig and condrestart in %post

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com> 2.3-6
- rebuilt

* Tue May 06 2003 David Woodhouse <dwmw2@redhat.com> 2.3-5
- Fix tmpfile bug

* Sun Apr 27 2003 David Woodhouse <dwmw2@redhat.com> 2.3-4
- Work around fontconfig bug when invoked with no HOME in environment

* Sun Apr 27 2003 David Woodhouse <dwmw2@redhat.com> 2.3-3
- Unignore SIGCHLD before starting pin helper, report its return code

* Fri Apr 25 2003 David Woodhouse <dwmw2@redhat.com> 2.3-2
- Fix bluepin some more.

* Thu Apr 24 2003 David Woodhouse <dwmw2@redhat.com> 2.3-1
- Upgrade to bluez-utils 2.3
- Fix, document and use 'rfcomm bind all'
- Support sending break and changing initial speed in hciattach
- Fix bluepin for gtk2

* Mon Apr 14 2003 Bill Nottingham <notting@redhat.com> 2.2-4
- fix reference to bluepin in /etc/pcmcia/hcid.conf (#88797)

* Mon Feb 24 2003 Bill Nottingham <notting@redhat.com> 2.2-3
- fix errors from cardmgr on startup

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Jan 19 2003 Matt Wilson <msw@redhat.com> 2.2-1
- configure with --with-bluez-libs=%%{_libdir}

* Fri Jan 17 2003 Bill Nottingham <notting@redhat.com> 2.2-1
- adapt upstream rpm

* Tue Aug 13 2002 Sebastian Frankfurt <sf@infesto.de>
- Initial RPM
